> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server. # Site Site is a datacenter that contains physical hardware and networking resources. All resources created by Provider or Tenant are directly or indirectly anchored to the Site object. Recent deprecations: - `rackLevelAdministration` capability attribute was deprecated in favor of `flow` and was removed on May 13th, 2026 0:00 UTC. Please use `flow` instead. - `isRackLevelAdministrationEnabled` query parameter was deprecated in favor of `isFlowEnabled` and was removed on May 13th, 2026 0:00 UTC. Please use `isFlowEnabled` instead. ## API Docs - Site [Retrieve all Sites](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/get-all-site.md) - Site [Create Site](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/create-site.md) - Site [Retrieve Site](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/get-site.md) - Site [Delete Site](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/delete-site.md) - Site [Update Site](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/update-site.md) - Site [Retrieve Site status history](https://docs.nvidia.com/infra-controller/rest-api-reference/api-reference/site/get-site-status-history.md) ## OpenAPI Specification The raw OpenAPI 3.1 specification for this API is available at: - [OpenAPI JSON](https://docs.nvidia.com/infra-controller/openapi.json) - [OpenAPI YAML](https://docs.nvidia.com/infra-controller/openapi.yaml)